
import * as React from 'react';
import AppConstants from '../constants/AppConstants';


class Settings extends React.Component {
    constructor(props) {
        super(props);
        this.componentName = "[Settings.jsx] ";
    }

    render() {
        console.log(this.componentName + 'render');
        let properties = Object.getOwnPropertyNames(AppConstants);

        let rows = properties.map(function (key) {
            return (
                <tr key={key}>
                    <td>{key}</td>
                    <td>{AppConstants[key]}</td>
                </tr>
            );
        });

        return (
            <div>
                <h1>Settings</h1>

                <table className="table table-bordered table-striped">
                    <tbody>
                        {rows}
                    </tbody>
                </table>
            </div>
        );
    }
}


export default Settings;
